# Memcached::getOption

(PECL memcached >= 0.1.0)

Memcached::getOption — Lit une option Memcached

### Description

public Memcached::getOption(int `$option`): mixed

Retourne la valeur de l'option Memcached `option`. Ces options sont définies par libmemcached, et d'autres sont spécifiques à cette extension. Voyez constantes Memcached pour plus d'informations.

### Liste de paramètres

`option`

  Une des constantes `Memcached::OPT_*`.

### Valeurs de retour

Retourne la valeur de l'option demandée, ou bien `false` si une erreur survient.

### Exemples

Exemple #1 Lecture des options Memcached

`<?php
$m = new Memcached();
var_dump($m->getOption(Memcached::OPT_COMPRESSION));
var_dump($m->getOption(Memcached::OPT_POLL_TIMEOUT));
?>`

Résultat de l'exemple ci-dessus est similaire à :

    bool(true)
    int(1000)

### Voir aussi

- Memcached::getOption()
- Memcached::setOption() - Configure une option Memcached
- Memcached Constants